Svix integration: operations for AI agents
Svix connects to Type.com as an integration. This page lists the 141 operations documented for Claude and Codex in Type.com: 53 read, 49 write, 39 destructive.
About Svix
Svix API v1 reference operations, subject to Type setup and account permissions.
Categories: Developer Tools & IT
How to connect Svix to Type.com
- Connect
- Configure provider-specific API target and authentication setup.
- Access
- Organization connection: one shared account for the workspace.
To add the connection, follow the steps in Space connections.
Documented operations
141 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
141 operations listed.
Authentication
- Write
Get Consumer App Portal Access
Use this function to get magic links (and authentication codes) for connecting your users to the Consumer Application Portal.
POST /api/v1/auth/app-portal-access/{app_id} - Destructive
Logout
Logout an app token. Trying to log out other tokens will fail.
POST /api/v1/auth/logout - Destructive
Expire All
Expire all of the tokens associated with a specific application.
POST /api/v1/auth/app/{app_id}/expire-all
Stream Authentication
- Read
Get Poller Token
Get the current auth token for the stream poller.
GET /api/v1/auth/stream/{stream_id}/sink/{sink_id}/poller/token - Write
Get Stream Portal Access
Use this function to get magic links (and authentication codes) for connecting your users to the Stream Consumer Portal.
POST /api/v1/auth/stream-portal-access/{stream_id} - Destructive
Stream Logout
Logout a stream token. Trying to log out other tokens will fail.
POST /api/v1/auth/stream-logout - Destructive
Stream Expire All
Expire all of the tokens associated with a specific stream.
POST /api/v1/auth/stream/{stream_id}/expire-all - Destructive
Rotate Poller Token
Create a new auth token for the stream poller API.
POST /api/v1/auth/stream/{stream_id}/sink/{sink_id}/poller/token/rotate
Application
- Read
List Applications
List of all the organization's applications.
GET /api/v1/app - Read
Get Application
Get an application.
GET /api/v1/app/{app_id} - Write
Create Application
Create a new application.
POST /api/v1/app - Write
Upsert Application
Create or update an application.
PUT /api/v1/app/{app_id} - Write
Patch Application
Partially update an application.
PATCH /api/v1/app/{app_id} - Destructive
Delete Application
Delete an application.
DELETE /api/v1/app/{app_id}
Endpoint
- Read
List Endpoints
List the application's endpoints.
GET /api/v1/app/{app_id}/endpoint - Read
Get Endpoint
Get an endpoint.
GET /api/v1/app/{app_id}/endpoint/{endpoint_id} - Read
Get Endpoint Secret
Get the endpoint's signing secret. This is used to verify the authenticity of the webhook. For more information please refer to [the consuming webhooks docs](https://docs.svix.com/consuming-webhooks/).
GET /api/v1/app/{app_id}/endpoint/{endpoint_id}/secret - Read
Get Endpoint Headers
Get the additional headers to be sent with the webhook.
GET /api/v1/app/{app_id}/endpoint/{endpoint_id}/headers - Read
Get Endpoint Transformation
Get the transformation code associated with this endpoint.
GET /api/v1/app/{app_id}/endpoint/{endpoint_id}/transformation - Read
Endpoint Stats
Get basic statistics for the endpoint.
GET /api/v1/app/{app_id}/endpoint/{endpoint_id}/stats - Read
Endpoint Attempt Stats
Get basic statistics about attempted deliveries for the endpoint. Time windows are always rounded to hour granularity
GET /api/v1/app/{app_id}/endpoint/{endpoint_id}/attempt-stats - Write
Create Endpoint
Create a new endpoint for the application. When `secret` is `null` the secret is automatically generated (recommended).
POST /api/v1/app/{app_id}/endpoint - Write
Upsert Endpoint
Create or update an endpoint.
PUT /api/v1/app/{app_id}/endpoint/{endpoint_id} - Write
Patch Endpoint
Partially update an endpoint.
PATCH /api/v1/app/{app_id}/endpoint/{endpoint_id} - Write
Patch Endpoint Headers
Partially set the additional headers to be sent with the webhook.
PATCH /api/v1/app/{app_id}/endpoint/{endpoint_id}/headers - Write
Replay Missing Webhooks
Replays messages to the endpoint. Only messages that were created after `since` will be sent. Messages that were previously sent to the endpoint are not resent. A completed task will return a payload like the following: ```json { "id": "qtask_33qen93MNuelBAq1T9G7eHLJRsF", "status": "finished", "task": "endpoint.replay", "data": { "messagesSent": 2 } } ```
POST /api/v1/app/{app_id}/endpoint/{endpoint_id}/replay-missing - Write
Bulk Replay Messages
Bulk replay messages sent to the endpoint. Only messages that were created after `since` will be sent. This will replay both successful, and failed messages A completed task will return a payload like the following: ```json { "id": "qtask_33qen93MNuelBAq1T9G7eHLJRsF", "status": "finished", "task": "endpoint.bulk-replay", "data": { "messagesSent": 2 } } ```
POST /api/v1/app/{app_id}/endpoint/{endpoint_id}/bulk-replay - Write
Recover Failed Webhooks
Resend all failed messages since a given time. Messages that were sent successfully, even if failed initially, are not resent. A completed task will return a payload like the following: ```json { "id": "qtask_33qen93MNuelBAq1T9G7eHLJRsF", "status": "finished", "task": "endpoint.recover", "data": { "messagesSent": 2 } } ```
POST /api/v1/app/{app_id}/endpoint/{endpoint_id}/recover - Write
Send Event Type Example Message
Send an example message for an event.
POST /api/v1/app/{app_id}/endpoint/{endpoint_id}/send-example - Destructive
Delete Endpoint
Delete an endpoint.
DELETE /api/v1/app/{app_id}/endpoint/{endpoint_id} - Destructive
Rotate Endpoint Secret
Rotates the endpoint's signing secret. The previous secret will remain valid for the specified grace period (default 24 hours).
POST /api/v1/app/{app_id}/endpoint/{endpoint_id}/secret/rotate - Destructive
Set Endpoint Headers
Set the additional headers to be sent with the webhook.
PUT /api/v1/app/{app_id}/endpoint/{endpoint_id}/headers - Destructive
Patch Endpoint Transformation
Set or unset the transformation code associated with this endpoint.
PATCH /api/v1/app/{app_id}/endpoint/{endpoint_id}/transformation
Event Type
- Read
List Event Types
Return the list of event types.
GET /api/v1/event-type - Read
Get Event Type
Get an event type.
GET /api/v1/event-type/{event_type_name} - Write
Create Event Type
Create new or unarchive existing event type. Unarchiving an event type will allow endpoints to filter on it and messages to be sent with it. Endpoints filtering on the event type before archival will continue to filter on it. This operation does not preserve the description and schemas.
POST /api/v1/event-type - Write
Upsert Event Type
Create or update an event type.
PUT /api/v1/event-type/{event_type_name} - Write
Patch Event Type
Partially update an event type.
PATCH /api/v1/event-type/{event_type_name} - Destructive
Event Type Import From Openapi
Given an OpenAPI spec, create new or update existing event types. If an existing `archived` event type is updated, it will be unarchived. The importer will convert all webhooks found in the either the `webhooks` or `x-webhooks` top-level.
POST /api/v1/event-type/import/openapi - Destructive
Delete Event Type
Archive an event type. Endpoints already configured to filter on an event type will continue to do so after archival. However, new messages can not be sent with it and endpoints can not filter on it. An event type can be unarchived with the [patch operation](#operation/v1.event-type.patch) by setting `archived` to `false`.
DELETE /api/v1/event-type/{event_type_name}
Environment
- Read
Export Environment Configuration
Download a JSON file containing all org-settings and event types. Note that the schema for [`EnvironmentOut`] is subject to change. The fields herein are provided for convenience but should be treated as JSON blobs.
POST /api/v1/environment/export - Write
Import Environment Configuration
Import a configuration into the active organization. It doesn't delete anything, only adds / updates what was passed to it. Note that the schema for [`EnvironmentIn`] is subject to change. The fields herein are provided for convenience but should be treated as JSON blobs.
POST /api/v1/environment/import
Message
- Read
List Messages
List all of the application's messages. The `before` and `after` parameters let you filter all items created before or after a certain date. These can be used alongside an iterator to paginate over results within a certain window. Note that by default this endpoint is limited to retrieving 90 days' worth of data relative to now or, if an iterator is provided, 90 days before/after the time indicated by the iterator ID. If you require data beyond those time ranges, you will need to explicitly set the `before` or `after` parameter as appropriate.
GET /api/v1/app/{app_id}/msg - Read
Create Message Precheck
A pre-check call for `message.create` that checks whether any active endpoints are listening to this message. Note: most people shouldn't be using this API. Svix doesn't bill you for messages not actually sent, so using this API doesn't save money. If unsure, please ask Svix support before using this API.
POST /api/v1/app/{app_id}/msg/precheck/active - Read
Get Message
Get a message by its ID or eventID.
GET /api/v1/app/{app_id}/msg/{msg_id} - Read
Poller Poll
Reads the stream of created messages for an application, filtered on the Sink's event types and Channels.
GET /api/v1/app/{app_id}/poller/{sink_id} - Write
Create Message
Creates a new message and dispatches it to all of the application's endpoints. The `eventId` is an optional custom unique ID. It's verified to be unique only up to a day, after that no verification will be made. If a message with the same `eventId` already exists for the application, a 409 conflict error will be returned. The `eventType` indicates the type and schema of the event. All messages of a certain `eventType` are expected to have the same schema. Endpoints can choose to only listen to specific event types. Messages can also have `channels`, which similar to event types let endpoints filter by them. Unlike event types, messages can have multiple channels, and channels don't imply a specific message content or schema. The `payload` property is the webhook's body (the actual webhook message). Svix supports payload sizes of up to 1MiB, though it's generally a good idea to keep webhook payloads small, probably no larger than 40kb.
POST /api/v1/app/{app_id}/msg - Write
Poller Consumer Poll
Reads the stream of created messages for an application, filtered on the Sink's event types and Channels, using server-managed iterator tracking.
GET /api/v1/app/{app_id}/poller/{sink_id}/consumer/{consumer_id} - Destructive
Expunge one message payload
Delete the given message's payload. Useful in cases when a message was accidentally sent with sensitive content. The message can't be replayed or resent once its payload has been deleted (or has expired).
DELETE /api/v1/app/{app_id}/msg/{msg_id}/content - Destructive
Expunge a set of message payloads
Delete the payloads from the given messages under the current application Useful in cases when a message was accidentally sent with sensitive content. A message can't be replayed or resent once its payload has been deleted (or has expired).
POST /api/v1/app/{app_id}/msg/bulk-expunge - Destructive
Expunge all message contents for an application
Delete all message payloads for the application. This operation is only available in the <a href="https://svix.com/pricing" target="_blank">Enterprise</a> plan. A completed task will return a payload like the following: ```json { "id": "qtask_33qen93MNuelBAq1T9G7eHLJRsF", "status": "finished", "task": "application.purge_content", "data": { "messagesPurged": 150 } } ```
POST /api/v1/app/{app_id}/msg/expunge-all-contents - Destructive
Poller Consumer Seek
Sets the starting offset for the consumer of a polling endpoint.
POST /api/v1/app/{app_id}/poller/{sink_id}/consumer/{consumer_id}/seek
Message Attempt
- Read
List Attempts By Endpoint
List attempts by endpoint id Note that by default this endpoint is limited to retrieving 90 days' worth of data relative to now or, if an iterator is provided, 90 days before/after the time indicated by the iterator ID. If you require data beyond those time ranges, you will need to explicitly set the `before` or `after` parameter as appropriate.
GET /api/v1/app/{app_id}/attempt/endpoint/{endpoint_id} - Read
List Attempts By Msg
List attempts by message ID. Note that by default this endpoint is limited to retrieving 90 days' worth of data relative to now or, if an iterator is provided, 90 days before/after the time indicated by the iterator ID. If you require data beyond those time ranges, you will need to explicitly set the `before` or `after` parameter as appropriate.
GET /api/v1/app/{app_id}/attempt/msg/{msg_id} - Read
List Attempted Messages
List messages for a particular endpoint. Additionally includes metadata about the latest message attempt. The `before` parameter lets you filter all items created before a certain date and is ignored if an iterator is passed. Note that by default this endpoint is limited to retrieving 90 days' worth of data relative to now or, if an iterator is provided, 90 days before/after the time indicated by the iterator ID. If you require data beyond those time ranges, you will need to explicitly set the `before` or `after` parameter as appropriate.
GET /api/v1/app/{app_id}/endpoint/{endpoint_id}/msg - Read
List Attempted Destinations
List endpoints attempted by a given message. Additionally includes metadata about the latest message attempt. By default, endpoints are listed in ascending order by ID.
GET /api/v1/app/{app_id}/msg/{msg_id}/endpoint - Read
Get Attempt
`msg_id`: Use a message id or a message `eventId`
GET /api/v1/app/{app_id}/msg/{msg_id}/attempt/{attempt_id} - Write
Resend Webhook
Resend a message to the specified endpoint.
POST /api/v1/app/{app_id}/msg/{msg_id}/endpoint/{endpoint_id}/resend - Destructive
Delete attempt response body
Deletes the given attempt's response body. Useful when an endpoint accidentally returned sensitive content. The message can't be replayed or resent once its payload has been deleted or expired.
DELETE /api/v1/app/{app_id}/msg/{msg_id}/attempt/{attempt_id}/content
Statistics
- Write
Aggregate Event Types
Creates a background task to calculate the listed event types for all apps in the organization. Note that this endpoint is asynchronous. You will need to poll the `Get Background Task` endpoint to retrieve the results of the operation. The completed background task will return a payload like the following: ```json { "id": "qtask_33qe39Stble9Rn3ZxFrqL5ZSsjT", "status": "finished", "task": "event-type.aggregate", "data": { "event_types": [ { "appId": "app_33W1An2Zz5cO9SWbhHsYyDmVC6m", "explicitlySubscribedEventTypes": ["user.signup", "user.deleted"], "hasCatchAllEndpoint": false } ] } } ```
PUT /api/v1/stats/usage/event-types - Write
Aggregate App Stats
Creates a background task to calculate the number of message attempts (`messageDestinations`) made for all applications in the environment. Note that this endpoint is asynchronous. You will need to poll the `Get Background Task` endpoint to retrieve the results of the operation. The completed background task will return a payload like the following: ```json { "id": "qtask_33qe39Stble9Rn3ZxFrqL5ZSsjT", "status": "finished", "task": "application.stats", "data": { "appStats": [ { "messageDestinations": 2, "appId": "app_33W1An2Zz5cO9SWbhHsYyDmVC6m", "appUid": null } ] } } ```
POST /api/v1/stats/usage/app
Integration
- Read
List Integrations
List the application's integrations.
GET /api/v1/app/{app_id}/integration - Read
Get Integration
Get an integration.
GET /api/v1/app/{app_id}/integration/{integ_id} - Write
Create Integration
Create an integration.
POST /api/v1/app/{app_id}/integration - Write
Update Integration
Update an integration.
PUT /api/v1/app/{app_id}/integration/{integ_id} - Destructive
Delete Integration
Delete an integration.
DELETE /api/v1/app/{app_id}/integration/{integ_id} - Destructive
Rotate Integration Key
Rotate the integration's key. The previous key will be immediately revoked.
POST /api/v1/app/{app_id}/integration/{integ_id}/key/rotate
Background Task
- Read
List Background Tasks
List background tasks executed in the past 90 days.
GET /api/v1/background-task - Read
Get Background Task
Get a background task by ID.
GET /api/v1/background-task/{task_id}
AutoConfig
- Write
Create Subscription
Create an AutoConfig subscription.
POST /api/v1/app/{app_id}/autoconfig - Destructive
Delete Subscription
Delete an AutoConfig subscription. This also invalidates its auth token.
DELETE /api/v1/app/{app_id}/autoconfig/{autoconfig_id} - Destructive
Rotate Token
Rotate the auth token and signing secret for an AutoConfig subscription.
POST /api/v1/app/{app_id}/autoconfig/{autoconfig_id}/rotate
Destination
- Read
List Destinations
List of all the application's destinations.
GET /api/v1/app/{app_id}/destination - Read
Get Destination
Get a destination by id or uid.
GET /api/v1/app/{app_id}/destination/{destination_id} - Read
Get Destination Transformation
Get the transformation code associated with this destination.
GET /api/v1/app/{app_id}/destination/{destination_id}/transformation - Write
Create Destination
Creates a new destination.
POST /api/v1/app/{app_id}/destination - Write
Upsert Destination
Create or update a destination.
PUT /api/v1/app/{app_id}/destination/{destination_id} - Write
Patch Destination
Partially update a destination.
PATCH /api/v1/app/{app_id}/destination/{destination_id} - Destructive
Delete Destination
Delete a destination.
DELETE /api/v1/app/{app_id}/destination/{destination_id} - Destructive
Patch Destination Transformation
Set or unset the transformation code associated with this destination.
PATCH /api/v1/app/{app_id}/destination/{destination_id}/transformation - Destructive
Rotate Destination Secret
Rotates the signing secret (only supported for the `fifoEndpoint` destination).
POST /api/v1/app/{app_id}/destination/{destination_id}/secret/rotate
Stream Event Type
- Read
List Stream Event Types
List of all the organization's event types for streaming.
GET /api/v1/stream/event-type - Read
Get Stream Event Type
Get an event type.
GET /api/v1/stream/event-type/{name} - Write
Create Stream Event Type
Create an event type for Streams.
POST /api/v1/stream/event-type - Write
Upsert Stream Event Type
Create or update or create a event type for Streams.
PUT /api/v1/stream/event-type/{name} - Write
Patch Stream Event Type
Patch an event type for Streams.
PATCH /api/v1/stream/event-type/{name} - Destructive
Delete Stream Event Type
Archive an event type. An event type can be unarchived with the [patch operation](#operation/v1.streaming.event-type.patch) by setting `archived` to `false`.
DELETE /api/v1/stream/event-type/{name}
Event
- Read
Poller Sink Stream Events
Iterate over a stream of events. The sink must be of type `poller` to use the poller endpoint.
GET /api/v1/stream/{stream_id}/sink/{sink_id}/events - Write
Create Events
Creates events on the Stream.
POST /api/v1/stream/{stream_id}/events
Sink
- Read
List Sinks
List of all the stream's sinks.
GET /api/v1/stream/{stream_id}/sink - Read
Get Sink
Get a sink by id or uid.
GET /api/v1/stream/{stream_id}/sink/{sink_id} - Read
Get Sink Transformation
Get the transformation code associated with this sink.
GET /api/v1/stream/{stream_id}/sink/{sink_id}/transformation - Read
Get Sink Secret
Get the sink's signing secret (only supported for http sinks). This is used to verify the authenticity of the delivery. For more information please refer to [the consuming webhooks docs](https://docs.svix.com/consuming-webhooks/).
GET /api/v1/stream/{stream_id}/sink/{sink_id}/secret - Read
Get Sink Headers
Get the HTTP sink headers. Only valid for `http` or `otelTracing` sinks.
GET /api/v1/stream/{stream_id}/sink/{sink_id}/headers - Write
Create Sink
Creates a new sink.
POST /api/v1/stream/{stream_id}/sink - Write
Upsert Sink
Create or update a sink.
PUT /api/v1/stream/{stream_id}/sink/{sink_id} - Write
Patch Sink
Partially update a sink.
PATCH /api/v1/stream/{stream_id}/sink/{sink_id} - Write
Patch Sink Headers
Updates the Sink's headers. Only valid for `http` or `otelTracing` sinks.
PATCH /api/v1/stream/{stream_id}/sink/{sink_id}/headers - Destructive
Delete Sink
Delete a sink.
DELETE /api/v1/stream/{stream_id}/sink/{sink_id} - Destructive
Patch Sink Transformation
Set or unset the transformation code associated with this sink.
PATCH /api/v1/stream/{stream_id}/sink/{sink_id}/transformation - Destructive
Rotate Sink Secret
Rotates the signing secret (only supported for http sinks). This is used to verify the authenticity of the delivery. For more information please refer to [the consuming webhooks docs](https://docs.svix.com/consuming-webhooks/).
POST /api/v1/stream/{stream_id}/sink/{sink_id}/secret/rotate
Stream
- Read
List Streams
List of all the organization's streams.
GET /api/v1/stream - Read
Get Stream
Get a stream by id or uid.
GET /api/v1/stream/{stream_id} - Write
Create Stream
Creates a new stream.
POST /api/v1/stream - Write
Upsert Stream
Create or update a stream.
PUT /api/v1/stream/{stream_id} - Write
Patch Stream
Partially update a stream.
PATCH /api/v1/stream/{stream_id} - Destructive
Delete Stream
Delete a stream.
DELETE /api/v1/stream/{stream_id}
Webhook Endpoint
- Read
List Operational Webhook Endpoints
List operational webhook endpoints.
GET /api/v1/operational-webhook/endpoint - Read
Get Operational Webhook Endpoint
Get an operational webhook endpoint.
GET /api/v1/operational-webhook/endpoint/{endpoint_id} - Read
Get Operational Webhook Endpoint Secret
Get an operational webhook endpoint's signing secret. This is used to verify the authenticity of the webhook. For more information please refer to [the consuming webhooks docs](https://docs.svix.com/consuming-webhooks/).
GET /api/v1/operational-webhook/endpoint/{endpoint_id}/secret - Read
Get Operational Webhook Endpoint Headers
Get the additional headers to be sent with the operational webhook.
GET /api/v1/operational-webhook/endpoint/{endpoint_id}/headers - Write
Create Operational Webhook Endpoint
Create an operational webhook endpoint.
POST /api/v1/operational-webhook/endpoint - Write
Upsert Operational Webhook Endpoint
Create or update an operational webhook endpoint.
PUT /api/v1/operational-webhook/endpoint/{endpoint_id} - Destructive
Delete Operational Webhook Endpoint
Delete an operational webhook endpoint.
DELETE /api/v1/operational-webhook/endpoint/{endpoint_id} - Destructive
Rotate Operational Webhook Endpoint Secret
Rotates an operational webhook endpoint's signing secret. The previous secret will remain valid for the specified grace period (default 24 hours).
POST /api/v1/operational-webhook/endpoint/{endpoint_id}/secret/rotate - Destructive
Set Operational Webhook Endpoint Headers
Set the additional headers to be sent with the operational webhook.
PUT /api/v1/operational-webhook/endpoint/{endpoint_id}/headers
Connector
- Read
List Connectors
List all connectors for an application.
GET /api/v1/connector - Read
Get Connector
Get a connector.
GET /api/v1/connector/{connector_id} - Write
Create Connector
Create a new connector.
POST /api/v1/connector - Write
Upsert Connector
Create or update a connector.
PUT /api/v1/connector/{connector_id} - Write
Patch Connector
Partially update a connector.
PATCH /api/v1/connector/{connector_id} - Destructive
Delete Connector
Delete a connector.
DELETE /api/v1/connector/{connector_id}
Health
- Read
Health
Verify the API server is up and running.
GET /api/v1/health
Ingest Source
- Read
List Ingest Sources
List of all the organization's Ingest Sources.
GET /ingest/api/v1/source - Read
Get Ingest Source
Get an Ingest Source by id or uid.
GET /ingest/api/v1/source/{source_id} - Write
Create Ingest Source
Create Ingest Source.
POST /ingest/api/v1/source - Write
Upsert Source
Create or update an Ingest Source.
PUT /ingest/api/v1/source/{source_id} - Write
Ingest Source Consumer Portal Access
Get access to the Ingest Source Consumer Portal.
POST /ingest/api/v1/source/{source_id}/dashboard - Destructive
Delete Ingest Source
Delete an Ingest Source.
DELETE /ingest/api/v1/source/{source_id} - Destructive
Rotate Ingest Token
Rotate the Ingest Source's Url Token. This will rotate the ingest source's token, which is used to construct the unique `ingestUrl` for the source. Previous tokens will remain valid for 48 hours after rotation. The token can be rotated a maximum of three times within the 48-hour period.
POST /ingest/api/v1/source/{source_id}/token/rotate
Ingest Endpoint
- Read
List Ingest Endpoints
List ingest endpoints.
GET /ingest/api/v1/source/{source_id}/endpoint - Read
Get Ingest Endpoint
Get an ingest endpoint.
GET /ingest/api/v1/source/{source_id}/endpoint/{endpoint_id} - Read
Get Ingest Endpoint Secret
Get an ingest endpoint's signing secret. This is used to verify the authenticity of the webhook. For more information please refer to [the consuming webhooks docs](https://docs.svix.com/consuming-webhooks/).
GET /ingest/api/v1/source/{source_id}/endpoint/{endpoint_id}/secret - Read
Get Ingest Endpoint Headers
Get the additional headers to be sent with the ingest.
GET /ingest/api/v1/source/{source_id}/endpoint/{endpoint_id}/headers - Read
Get Ingest Endpoint Transformation
Get the transformation code associated with this ingest endpoint.
GET /ingest/api/v1/source/{source_id}/endpoint/{endpoint_id}/transformation - Write
Create Ingest Endpoint
Create an ingest endpoint.
POST /ingest/api/v1/source/{source_id}/endpoint - Write
Upsert Ingest Endpoint
Create or update an ingest endpoint.
PUT /ingest/api/v1/source/{source_id}/endpoint/{endpoint_id} - Destructive
Delete Ingest Endpoint
Delete an ingest endpoint.
DELETE /ingest/api/v1/source/{source_id}/endpoint/{endpoint_id} - Destructive
Rotate Ingest Endpoint Secret
Rotates an ingest endpoint's signing secret. The previous secret will remain valid for the specified grace period (default 24 hours).
POST /ingest/api/v1/source/{source_id}/endpoint/{endpoint_id}/secret/rotate - Destructive
Set Ingest Endpoint Headers
Set the additional headers to be sent to the endpoint.
PUT /ingest/api/v1/source/{source_id}/endpoint/{endpoint_id}/headers - Destructive
Patch Ingest Endpoint Transformation
Set or unset the transformation code associated with this ingest endpoint.
PATCH /ingest/api/v1/source/{source_id}/endpoint/{endpoint_id}/transformation
No operations match.
See How connections work for access and permissions, or browse all integrations.
Reference date: October 29, 2026. Svix API docs.